PULSAR

Get Daily Hourly Production

Get hourly production data for machines of the user's company for a specific day. Returns a map of machine IDs to arrays of 24 hourly production counts.

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Query Parameters

date?string

Optional date in YYYY-MM-DD format. Defaults to today.

machineIds?string

Optional comma-separated list of machine IDs to filter.

groupBySku?boolean

Whether to group results by SKU.

skuIds?string

The SKU IDs to filter by.

Response Body

application/json

Try it live
GET
/machines/realtime/daily-hourly-production

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/machines/realtime/daily-hourly-production"
{  "date": "string",  "machines": {}}